Subject: [PATCH 0/3] Add REQ_F_CQE_SKIP support to io_uring zerocopy

From: Oliver Crumrine <[email-masked]>
Date: Thu, 4 Apr 2024 18:16:38 -0400

This patchset allows for io_uring zerocopy to support REQ_F_CQE_SKIP,
skipping the normal completion notification, but not the zerocopy buffer
release notification.

This patchset also includes a test to test these changes, and a patch to
mini_liburing to enable io_uring_peek_cqe, which is needed for the test.

Oliver Crumrine (3):
  io_uring: Add REQ_F_CQE_SKIP support for io_uring zerocopy
  io_uring: Add io_uring_peek_cqe to mini_liburing
  io_uring: Support IOSQE_CQE_SKIP_SUCCESS in io_uring zerocopy test

 io_uring/net.c                                |  6 +--
 tools/include/io_uring/mini_liburing.h        | 18 +++++++++
 .../selftests/net/io_uring_zerocopy_tx.c      | 37 +++++++++++++++++--
 .../selftests/net/io_uring_zerocopy_tx.sh     |  7 +++-
 4 files changed, 59 insertions(+), 10 deletions(-)

-- 
2.44.0